package com.example.demo.licznik;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;

@Controller
public class AController4 {
	
	@ModelAttribute
	public Licznik getLicznik() {
		// Gdy w klasie istynieje taka metoda oznaczona @ModelAttribute, to ona zostanie użyta do utworzenia obiektu.
		// Jeśli nie ma takiej metody (jak w Controller1), to konstruktor domyślny.
		return new Licznik("ModelAttribute z metody", 400);
	}
	
	@GetMapping("/test4")
	public String test4(@ModelAttribute Licznik licznik) {
		return "licznik.html";
	}

	@GetMapping("/test4a")
	public String test4a(Licznik licznik) {
		return "licznik.html";
	}

}
